﻿html {
  position: relative;
  min-height: 100%;
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

body {
  margin-bottom: 60px;
  /*overflow-y: hidden;*/
}

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

.border-top {
  border-top: 1px solid #e5e5e5;
}

.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

.btn-xs, .btn-group-xs > .btn {
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  line-height: 1.0;
  border-radius: 0.2rem;
}

.cursor-pointer{cursor: pointer;}
.cursor-croshair{cursor: crosshair;}
.cursor-eresize{cursor: e-resize;}
.cursor-move{cursor: move;}
.cursor-wait{cursor: wait;}

.header-icon,
.header-icon:active,
.header-icon:focus,
.header-icon:hover {
  color: gray !important;
  text-decoration: none;
  margin-right: 10px;
  cursor: pointer;
}

.header-menu-item a,
.header-menu-item a:active,
.header-menu-item a:focus {
  color: gray !important;
  text-decoration: none;
  cursor: pointer;
}

.header-menu-item:hover {
  background-color: transparent;
}

.header-menu-item a:hover {
  text-decoration: underline;
}

.modal {
  overflow: auto !important;
}

@media (min-width: 992px) {
  .modal-xxl {
    max-width: 800px;
  }
}

@media (min-width: 1200px) {
  .modal-xxl {
    max-width: 1140px;
  }
}

@media (min-width: 1500px) {
  .modal-xxl {
    max-width: 1480px;
  }
}

.table-icon,
.table-icon:active,
.table-icon:focus,
.table-icon:hover {
  color: gray !important;
  text-decoration: none;
  margin-left: 2px;
  margin-right: 2px;
  cursor: pointer;
}

.footer {
  position: absolute;
  bottom: 0;
  height: 61px;
  line-height: 60px;
  text-align: center;
  white-space: nowrap;
  width: 100%;
}

.footer-item a,
.footer-item a:active,
.footer-item a:focus {
  color: gray !important;
  text-decoration: none;
  cursor: pointer;
}

.header-menu-item:hover {
  background-color: transparent;
}

.header-menu-item a:hover {
  text-decoration: underline;
}

.login {
    margin-top: 3px;
}

.logo {
    width: 300px;
}

.badge-inline {
  top: -8px !important;
}

.badge-inline-alt {
  top: -4px !important;
}

.form-checklist-30vh {
  height: 30vh;
  overflow-y: auto;
  overflow-x: hidden;
}

.form-checklist-50vh {
  height: 50vh;
  overflow-y: auto;
  overflow-x: hidden;
}

.form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
}

.vertical-center {
    min-height: 80%;
    min-height: 80vh;
    display: flex;
    align-items: center;
}

.logout {
    text-align: center;
}

.w-fit {
  width: 1% !important;
  white-space: nowrap;
}

.w-5 {
  width: 5% !important;
}

.w-10 {
  width: 10% !important;
}

.w-15 {
  width: 15% !important;
}

.w-30 {
  width: 30% !important;
}

.w-35 {
  width: 35% !important;
}

.w-40 {
  width: 40% !important;
}

.w-45 {
  width: 45% !important;
}

.w-55 {
  width: 55% !important;
}

.w-60 {
  width: 60% !important;
}

.w-65 {
  width: 65% !important;
}

.w-70 {
  width: 70% !important;
}

.w-80 {
  width: 80% !important;
}

.w-85 {
  width: 85% !important;
}

.w-90 {
  width: 90% !important;
}

.w-95 {
  width: 95% !important;
}

#sidebar {
  color: #fff;
  transition: all 0.3s;
  width: 250px;
  position: absolute;
  bottom: 60px;
  top: 67px;
  left: 0;
  z-index: 999;
  color: #fff;
  transition: all 0.3s;
  overflow-y: auto;
}

#sidebar .sidebar-header {
  padding: 20px;
}

#sidebar ul p {
  color: #fff;
  font-size: 1.1em;
  padding: 5px;
}

#sidebar ul li a {
  color: #fff;
  padding: 5px;
  font-size: 1.0em;
  display: block;
}

#sidebar ul li a:hover {
  color: #7386D5;
  background: #fff;
  text-decoration: none;
}

#sidebar ul li.active > a, a[aria-expanded="true"] {
  color: #A8B2DE;
}

#window {
  position: absolute;
  top: 67px;
  left: 250px;
  right: 0px;
  bottom: 60px;
  overflow-y: auto;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 61px;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

/* Start: Override datatables css */
div.dt-container select.dt-input {
  padding: 4px;
  margin-right: 3px;
}
/* End: Override datatables css */

.validation-message {
  color: #dc3545 !important;
}

.was-validated .form-control:invalid, .form-control.invalid {
  border-color: #dc3545;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.was-validated .form-control:invalid:focus, .form-control.invalid:focus {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.was-validated textarea.form-control:invalid, textarea.form-control.invalid {
  padding-right: calc(1.5em + 0.75rem);
  background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.was-validated .custom-select:invalid, .custom-select.invalid {
  border-color: #dc3545;
  padding-right: calc(0.75em + 2.3125rem);
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") right 0.75rem center/8px 10px no-repeat, #fff url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e") center right 1.75rem/calc(0.75em + 0.375rem) calc(0.75em + 0.375rem) no-repeat;
}

.was-validated .custom-select:invalid:focus, .custom-select.invalid:focus {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.was-validated .form-check-input:invalid ~ .form-check-label, .form-check-input.invalid ~ .form-check-label {
  color: #dc3545;
}

.was-validated .form-check-input:invalid ~ .invalid-feedback,
.was-validated .form-check-input:invalid ~ .invalid-tooltip, .form-check-input.invalid ~ .invalid-feedback,
.form-check-input.invalid ~ .invalid-tooltip {
  display: block;
}

.was-validated .custom-control-input:invalid ~ .custom-control-label, .custom-control-input.invalid ~ .custom-control-label {
  color: #dc3545;
}

.was-validated .custom-control-input:invalid ~ .custom-control-label::before, .custom-control-input.invalid ~ .custom-control-label::before {
  border-color: #dc3545;
}

.was-validated .custom-control-input:invalid:checked ~ .custom-control-label::before, .custom-control-input.invalid:checked ~ .custom-control-label::before {
  border-color: #e4606d;
  background-color: #e4606d;
}

.was-validated .custom-control-input:invalid:focus ~ .custom-control-label::before, .custom-control-input.invalid:focus ~ .custom-control-label::before {
  box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.was-validated .custom-control-input:invalid:focus:not(:checked) ~ .custom-control-label::before, .custom-control-input.invalid:focus:not(:checked) ~ .custom-control-label::before {
  border-color: #dc3545;
}

.was-validated .custom-file-input:invalid ~ .custom-file-label, .custom-file-input.invalid ~ .custom-file-label {
  border-color: #dc3545;
}

.was-validated .custom-file-input:invalid:focus ~ .custom-file-label, .custom-file-input.invalid:focus ~ .custom-file-label {
  border-color: #dc3545;
  box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
}

.help-screen-button {
  width: 32px;
  height: 32px;
  padding: 0;
  flex-shrink: 0;
  margin-right: 3px;
}

.sewer-model-tree {
  border-right: 1px solid black;
  height: 77vh;
  overflow-y: auto;
  overflow-x: auto;
}

.sewer-model-modal {
  height: 77vh;
  overflow-y: auto;
}

.tree,.tree ul {
  list-style: none;
  padding-left: 1.2rem;
  margin: 0;
  line-height: 2em;
}

.tree-toggle {
  display: none;
}

.tree-label {
  cursor: pointer;
  margin-right: 0.4rem;
  display: inline-flex;
  align-items: center;
}

.tree-name {
  margin-left: 0.2rem;
  cursor: pointer;
  user-select: none;
}

.tree-toggle:checked + .tree-label i {
  transform: rotate(90deg);
  transition: transform 0.2s;
}

.tree-children {
  display: none;
  margin-left: 1.2rem;
}

.tree-toggle:checked ~ .tree-children {
  display: block;
}

.tree-label-placeholder {
  display: inline-block;
  margin-left: 1rem;
}

.sewer-model-item-label {
  font-weight: 500;
  font-size: 1.5rem;
  margin-top: 0;
}

.highlight {
    background-color: yellow;
}


.report-header-title {
  color: #fff;
  background-color: #005550;
  padding: 20px;
  margin-bottom: 10px;
  margin-left: -25px;
  margin-right: -25px;
}

.report-header-title-row {
  margin-bottom: 10px;
}

.report-header {
  color: #fff;
  font-weight: bold;
  background-color: #005550;
  padding: 10px;
  margin-bottom: 10px;
}

.discharge-pit-header {
  border-bottom: 1px solid #dee2e6;
  padding-bottom: 15px;
  margin-bottom: 20px;
}

.discharge-pit-table {
  margin-top: -10px;
  margin-left: -15px;
  margin-bottom: 10px;
  margin-right: -15px;

  padding: 15px;
  border: 1px solid #dee2e6;
}

.product-substance-table {
  padding-left: 15px;
  padding-right: 15px;
  border: 1px solid #dee2e6;
}

.report-table thead th {
    border-right: 1px solid #676767;
    border-left: 1px solid #676767;
    border-top: 1px solid #676767;
    border-bottom: 2px solid #676767;
}

.report-table tbody td {
    border: 1px solid #676767;
}

.product-substance-header {
  font-weight: bold;
  padding-top: 5px;
  padding-bottom: 5px;
  padding-right: 12px;
}

.product-substance-row {
  border-top: 1px solid #dee2e6;
}

.header-label {
  font-weight: bold;
}

.remarks-label {
  padding: 5px;
  border: 1px solid #dee2e6;
}

.footnotes-label {
  padding: 5px;
  border: 1px solid #dee2e6;
  margin-top: 15px;
}

.copyright {
  margin-top: 15px;
}


@media print {
    .no-print {
        display: none !important;
    }

    div.print-area {
        overflow: visible !important;
        height: auto !important;
        width: 95% !important;
    }

    .page-break {
      page-break-after: always;
      break-after: page;
    }

    .report-header-title {
      margin-top: 4mm;
    }

    @page {
        size: A4 !important;
        margin: 0.2in 0.2in 0.2in 0.2in !important;
    }
}